Security update for postgresql94

SUSE Security Update: Security update for postgresql94
Announcement ID: SUSE-SU-2018:0081-1
Rating: moderate
References: #1062538 #1067844
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 12-SP2
  • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
  • SUSE Linux Enterprise Server 12-SP2
  • SUSE Linux Enterprise Desktop 12-SP2

  • An update that fixes two vulnerabilities is now available.

    Description:

    This update for postgresql94 fixes the following issues:

    Security issues fixed:

    - CVE-2017-15098: Fix crash due to rowtype mismatch in
    json{b}_populate_recordset() (bsc#1067844).
    - CVE-2017-12172: Start scripts permit database administrator to modify
    root-owned files. This issue did not affect SUSE (bsc#1062538).

    Bug fixes:

    - Update to version 9.4.15
    * https://www.postgresql.org/docs/9.4/static/release-9-4-15.html
    * https://www.postgresql.org/docs/9.4/static/release-9-4-14.html

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Software Development Kit 12-SP2:
      zypper in -t patch SUSE-SLE-SDK-12-SP2-2018-63=1
    • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:
      zypper in -t patch SUSE-SLE-RPI-12-SP2-2018-63=1
    • SUSE Linux Enterprise Server 12-SP2:
      zypper in -t patch SUSE-SLE-SERVER-12-SP2-2018-63=1
    • SUSE Linux Enterprise Desktop 12-SP2:
      zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2018-63=1

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64 ppc64le s390x x86_64):
      • postgresql94-devel-9.4.15-21.13.1
      • postgresql94-devel-debuginfo-9.4.15-21.13.1
      • postgresql94-libs-debugsource-9.4.15-21.13.1
    • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):
      • postgresql94-9.4.15-21.13.1
      • postgresql94-contrib-9.4.15-21.13.1
      • postgresql94-contrib-debuginfo-9.4.15-21.13.1
      • postgresql94-debuginfo-9.4.15-21.13.1
      • postgresql94-debugsource-9.4.15-21.13.1
      • postgresql94-server-9.4.15-21.13.1
      • postgresql94-server-debuginfo-9.4.15-21.13.1
    • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (noarch):
      • postgresql94-docs-9.4.15-21.13.1
    • SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le s390x x86_64):
      • postgresql94-9.4.15-21.13.1
      • postgresql94-contrib-9.4.15-21.13.1
      • postgresql94-contrib-debuginfo-9.4.15-21.13.1
      • postgresql94-debuginfo-9.4.15-21.13.1
      • postgresql94-debugsource-9.4.15-21.13.1
      • postgresql94-server-9.4.15-21.13.1
      • postgresql94-server-debuginfo-9.4.15-21.13.1
    • SUSE Linux Enterprise Server 12-SP2 (noarch):
      • postgresql94-docs-9.4.15-21.13.1
    • SUSE Linux Enterprise Desktop 12-SP2 (x86_64):
      • postgresql94-9.4.15-21.13.1
      • postgresql94-debuginfo-9.4.15-21.13.1
      • postgresql94-debugsource-9.4.15-21.13.1

    References: